package org.seasar.dao;

/**
 * @author higa
 *
 */
public interface CommandContext {

	public Object getArg(String name);
	
	public void addArg(String name, Object arg);

	public String getSql();
	
	public Object[] getBindVariables();

	public CommandContext addSql(String sql);
	
	public CommandContext addSql(String sql, Object bindVariable);
	
	public CommandContext addSql(String sql, Object[] bindVariables);
	
	public boolean isEnabled();
	
	public void setEnabled(boolean enabled);
}
